%global _empty_manifest_terminate_build 0
Name:           python-sphinxcontrib-blockdiag
Version:        3.0.0
Release:        1
Summary:        Sphinx "blockdiag" extension
License:        BSD-2-Clause
URL:            https://github.com/blockdiag/sphinxcontrib-blockdiag
Source0:        https://files.pythonhosted.org/packages/42/83/0624c9f694fd942b9c11dbd3d6694bb9b10a68b22f65b1623b4657f4b7ac/sphinxcontrib-blockdiag-3.0.0.tar.gz
BuildArch:      noarch
%description
A sphinx extension for embedding block diagram using blockdiag.

%package -n python3-sphinxcontrib-blockdiag
Summary:        Sphinx "blockdiag" extension
Provides:       python-sphinxcontrib-blockdiag
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# General requires
BuildRequires:  python3-blockdiag
BuildRequires:  python3-sphinx
# General requires
Requires:       python3-blockdiag
Requires:       python3-sphinx
%description -n python3-sphinxcontrib-blockdiag
A sphinx extension for embedding block diagram using blockdiag.

%package help
Summary:        Sphinx "blockdiag" extension
Provides:       python3-sphinxcontrib-blockdiag-doc
%description help
A sphinx extension for embedding block diagram using blockdiag.

%prep
%autosetup -n sphinxcontrib-blockdiag-%{version}

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .


%files -n python3-sphinxcontrib-blockdiag -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu Oct 27 2022 xu_ping <xuping33@h-partners.com> - 3.0.0-1
- Upgrade package python3-sphinxcontrib-blockdiag to version 3.0.0

* Mon Feb 01 2021 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
